> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Team



## OpenAPI

````yaml /openapi.json post /v1/teams
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/teams:
    post:
      tags:
        - Teams
      summary: Create Team
      operationId: create_team_v1_teams_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TeamCreate'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    TeamCreate:
      properties:
        name:
          maxLength: 255
          minLength: 1
          title: Name
          type: string
      required:
        - name
      title: TeamCreate
      type: object
    TeamResponse:
      properties:
        can_manage_members:
          default: false
          title: Can Manage Members
          type: boolean
        capabilities:
          additionalProperties:
            type: boolean
          title: Capabilities
          type: object
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          format: uuid
          title: Id
          type: string
        is_owner:
          default: false
          title: Is Owner
          type: boolean
        member_count:
          default: 0
          title: Member Count
          type: integer
        name:
          title: Name
          type: string
        owner_id:
          format: uuid
          title: Owner Id
          type: string
        role:
          $ref: '#/components/schemas/TeamRole'
          default: evaluator
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - name
        - owner_id
        - created_at
        - updated_at
      title: TeamResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    TeamRole:
      enum:
        - owner
        - admin
        - builder
        - analyst
        - evaluator
      title: TeamRole
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````